## SeahorseServiceDiscovery

SeahorseServiceDiscovery

## Synopsis

                        SeahorseServiceDiscoveryPriv;
                        SeahorseServiceDiscovery;
    SeahorseServiceDiscovery* seahorse_service_discovery_new
                                                            ();
    GSList*             seahorse_service_discovery_list     (SeahorseServiceDiscovery *ssd);
    const gchar*        seahorse_service_discovery_get_uri  (SeahorseServiceDiscovery *ssd,
                                                             const gchar *service);
    GSList*             seahorse_service_discovery_get_uris (SeahorseServiceDiscovery *ssd,
                                                             GSList *services);

## Description

## Details

### SeahorseServiceDiscoveryPriv

    typedef struct _SeahorseServiceDiscoveryPriv SeahorseServiceDiscoveryPriv;

### SeahorseServiceDiscovery

    typedef struct {
        GObject parent;

        GHashTable  *services;
    } SeahorseServiceDiscovery;

Listens for DNS-SD shared keys on the network and adds SeahorseKeySoruce objects to the SeahorseContext as necessary.

Signals: added: A new shared key source was found. removed: A shared key source went away.

GObject `parent`; | The parent GObject
GHashTable *`services`; | A GHashTable of known services

### seahorse_service_discovery_new ()

    SeahorseServiceDiscovery* seahorse_service_discovery_new
                                                            ();

Returns : |

### seahorse_service_discovery_list ()

    GSList*             seahorse_service_discovery_list     (SeahorseServiceDiscovery *ssd);

`ssd` : |
Returns : |

### seahorse_service_discovery_get_uri ()

    const gchar*        seahorse_service_discovery_get_uri  (SeahorseServiceDiscovery *ssd,
                                                             const gchar *service);

`ssd` : |
`service` : |
Returns : |

### seahorse_service_discovery_get_uris ()

    GSList*             seahorse_service_discovery_get_uris (SeahorseServiceDiscovery *ssd,
                                                             GSList *services);

`ssd` : |
`services` : |
Returns : |